%
% DESCRIPTION: Program to create the Water volume GDF file in the Matlab format.
% 
% [TimeZone] and [Description] have text format so the values give in ''


clear;clc;
[FormatName] = 'GDF';
[FormatVersion] = 2.1;
[CRS] = 'n/a'%['EPSG:' num2str(input('[CRS] EPSG code (just number) = '))];
[TimeZone] = 'UTC' %input('TimeZone (char) = ');
[Description] = 'Description of the dataset' %input('Description of data (char) = ');
         
[FieldDescription] = {
    'Date','Date of water volume measure'
    'Water_volume','Water volume'};
[FieldType] = {
    'Date',5
    'Water_volume',32};
[FieldUnit] = {
    'Date','datenum'
    'Water_volume','mln m^3'};
[d] = struct();

d.Date = [729025
    729026
    729027
    729028
    729029
    729030
    729031
];

d.Water_volume = [41.54
    41.89
    41.78
    42.13
    41.46
    41.46
    41.50
];

save('GDF_EpizodName_Water_volume.mat')